Download it now!
Bug 77984 - Top-level icon in Icon Set not displayed when conditional formatting is applied to a single cell
Summary: Top-level icon in Icon Set not displayed when conditional formatting is appli...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.3.0 target:4.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-26 21:38 UTC by cyaugin
Modified: 2014-05-01 00:35 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Example in cell A1 (7.41 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-04-26 21:57 UTC, cyaugin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cyaugin 2014-04-26 21:38:35 UTC
1. Select a single cell.
2. Select Format -> Conditional Formatting -> Icon Set and apply a 3-tier set.
3. Specify threshold values of 1 and 2 for the yellow and green icon.
4. In the cell, enter values of 0, 1, and 2 (or greater) in succession.

Observed result: 0 produces the red icon, 1 produces the yellow icon, and 2 produces no icon.

Expected result: 2 (or greater) produces the green icon.
Comment 1 cyaugin 2014-04-26 21:57:54 UTC
Created attachment 98060 [details]
Example in cell A1
Comment 2 Commit Notification 2014-04-29 00:20:13 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f1d5c27892b0b6a5dc81c94dbf61f9285a52aa5a

the safety check was a bit too strict, fdo#77984



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-04-29 00:35:59 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c624eea0e46e84c68d1a1ad79ef217390bd28ef3&h=libreoffice-4-2

the safety check was a bit too strict, fdo#77984


It will be available in LibreOffice 4.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-05-01 00:35:35 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9a9adf0bdc05bf2d80632a56db794c7fa12209e

add unit test for fdo#77984



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.